### Method

# Hex Document write_to_file

#### Declaration

    gboolean
    hex_document_write_to_file (
      HexDocument* doc,
      GFile* file
    )

#### Description

Write the buffer to `file`. This can be used for a ‘Save As’ operation.

This operation will block.

#### Parameters

`file`

  Type: `GFile`

  `GFile` to be written to.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful; `FALSE` otherwise.